<?php
namespace App\Repositories\User\Threads\Criteria;
use App\Repositories\Base\Criteria;
use App\Repositories\Contracts\RepositoryInterface as Repository;

class MultiWhere extends Criteria {

    private $search = [];

    /**
     * MultiWhere constructor.
     * @param array $search
     *
     */
    public function __construct(array $search)
    {
        $this->search = $search;
    }

    /**
    * @param $model
    * @param RepositoryInterface $repository
    * @return mixed
    */
    public function apply($model, Repository $repository)
    {
          if(isset($this->search['keyword']) && $this->search['keyword']) {
                                    $model = $model->where('id','like','%'.$this->search['keyword'].'%')
 ->orWhere('ower_id','like','%'.$this->search['keyword'].'%')
 ->orWhere('company_id','like','%'.$this->search['keyword'].'%')
 ->orWhere('status','like','%'.$this->search['keyword'].'%')
 ->orWhere('remark','like','%'.$this->search['keyword'].'%')
;}
         return $model;
    }

}